 /*
	Cross-platform RP Calling Functions
	Copyright © 2007-2008 Harry Whitfield

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of
	the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public
	License along with this program; if not, write to the Free
	Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
	MA  02110-1301  USA
	
	Cross-platform RP Calling Functions version 2.4
	10 January, 2008
	Copyright  2007-2008 Harry Whitfield
	mailto:g6auc@arrl.net
*/

//var resPath = "/Users/nhw/Desktop/RP/";	// for testing

var resPath = "Resources/";                  // set an appropriate resPath

if (system.platform == 'windows') { include(resPath + 'winRP.js'); } else { include(resPath + 'macRP.js'); }

/*
Example calls

var radio = new RP("rtsp://a574.l1433739327.c14337.g.lr.akamaistream.net/live/D/574/14337/v0001/reflector:39327");	// construct RP player to play remote file or stream

radio.quit();				// release the RP player - it is important to use this call when done with player

radio.getURL(url);          // get the url of the movie or stream
radio.setURL(url);			// set or change the movie or stream
radio.versionInfo();		// get the Real Player version number
radio.close();				// close the current movie or stream
radio.playState();			// get the state of the player 0..5 (see list of constants)

radio.play();				// play the current movie or stream
radio.pause();				// pause the current movie or stream
radio.stop();				// stop the current movie or stream
radio.fastForward();		// move to the end of the current movie
radio.fastReverse();		// rewind to the beginning of the current movie

radio.volume();				// get the sound volume 0..100
radio.setVolume(volume);	// set the sound volume 0..100
radio.mute()				// get the muted state
radio.setMute(flag)			// set the muted state

radio.bitRate ();			// get the data rate in kbps

radio.setMiniaturized(flag);// hide or show the RealPlayer window.
*/
