﻿function FLVPlayerController(iFLVPlayerView) {
	this.view = iFLVPlayerView;
}


FLVPlayerController.prototype.play = function() {
	this.view.setVariable("methodLaunch", "play");
};


FLVPlayerController.prototype.stop = function() {
	this.view.setVariable("methodLaunch", "stop");
};


FLVPlayerController.prototype.pause = function() {
	this.view.setVariable("methodLaunch", "pause");
};


FLVPlayerController.prototype.load = function(iFLVFile) {
	this.view.setVariable("methodParam1", iFLVFile);
	this.view.setVariable("methodLaunch", "load");
};


FLVPlayerController.prototype.isPlaying = function() {
	return this.getState() == "playing";
};


FLVPlayerController.prototype.getState = function() {
	return this.view.getVariable("vp_state");
};
